# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._models import AdditionalCapabilities
from ._models import AdditionalLocationsProfile
from ._models import AdditionalUnattendContent
from ._models import ApiEntityReference
from ._models import ApiError
from ._models import ApiErrorBase
from ._models import ApplicationProfile
from ._models import BaseVirtualMachineProfile
from ._models import BootDiagnostics
from ._models import CapacityReservationProfile
from ._models import ComputeProfile
from ._models import DiagnosticsProfile
from ._models import DiffDiskSettings
from ._models import DiskEncryptionSetParameters
from ._models import EncryptionIdentity
from ._models import ErrorAdditionalInfo
from ._models import ErrorDetail
from ._models import ErrorResponse
from ._models import Fleet
from ._models import FleetProperties
from ._models import FleetUpdate
from ._models import ImageReference
from ._models import InnerError
from ._models import KeyVaultSecretReference
from ._models import LinuxConfiguration
from ._models import LinuxPatchSettings
from ._models import LinuxVMGuestPatchAutomaticByPlatformSettings
from ._models import LocationProfile
from ._models import ManagedServiceIdentity
from ._models import ManagedServiceIdentityUpdate
from ._models import OSImageNotificationProfile
from ._models import Operation
from ._models import OperationDisplay
from ._models import PatchSettings
from ._models import Plan
from ._models import ProxyAgentSettings
from ._models import PublicIPAddressSku
from ._models import RegularPriorityProfile
from ._models import Resource
from ._models import ResourcePlanUpdate
from ._models import ScheduledEventsProfile
from ._models import SecurityPostureReference
from ._models import SecurityProfile
from ._models import ServiceArtifactReference
from ._models import SpotPriorityProfile
from ._models import SshConfiguration
from ._models import SshPublicKey
from ._models import SubResource
from ._models import SystemData
from ._models import TerminateNotificationProfile
from ._models import TrackedResource
from ._models import UefiSettings
from ._models import UserAssignedIdentity
from ._models import VMAttributeMinMaxDouble
from ._models import VMAttributeMinMaxInteger
from ._models import VMAttributes
from ._models import VMDiskSecurityProfile
from ._models import VMGalleryApplication
from ._models import VMSizeProperties
from ._models import VaultCertificate
from ._models import VaultSecretGroup
from ._models import VirtualHardDisk
from ._models import VirtualMachineScaleSet
from ._models import VirtualMachineScaleSetDataDisk
from ._models import VirtualMachineScaleSetExtension
from ._models import VirtualMachineScaleSetExtensionProfile
from ._models import VirtualMachineScaleSetExtensionProperties
from ._models import VirtualMachineScaleSetHardwareProfile
from ._models import VirtualMachineScaleSetIPConfiguration
from ._models import VirtualMachineScaleSetIPConfigurationProperties
from ._models import VirtualMachineScaleSetIpTag
from ._models import VirtualMachineScaleSetManagedDiskParameters
from ._models import VirtualMachineScaleSetNetworkConfiguration
from ._models import VirtualMachineScaleSetNetworkConfigurationDnsSettings
from ._models import VirtualMachineScaleSetNetworkConfigurationProperties
from ._models import VirtualMachineScaleSetNetworkProfile
from ._models import VirtualMachineScaleSetOSDisk
from ._models import VirtualMachineScaleSetOSProfile
from ._models import VirtualMachineScaleSetPublicIPAddressConfiguration
from ._models import VirtualMachineScaleSetPublicIPAddressConfigurationDnsSettings
from ._models import VirtualMachineScaleSetPublicIPAddressConfigurationProperties
from ._models import VirtualMachineScaleSetStorageProfile
from ._models import VmSizeProfile
from ._models import WinRMConfiguration
from ._models import WinRMListener
from ._models import WindowsConfiguration
from ._models import WindowsVMGuestPatchAutomaticByPlatformSettings

from ._enums import AcceleratorManufacturer
from ._enums import AcceleratorType
from ._enums import ActionType
from ._enums import ArchitectureType
from ._enums import CachingTypes
from ._enums import CpuManufacturer
from ._enums import CreatedByType
from ._enums import DeleteOptions
from ._enums import DiffDiskOptions
from ._enums import DiffDiskPlacement
from ._enums import DiskControllerTypes
from ._enums import DiskCreateOptionTypes
from ._enums import DiskDeleteOptionTypes
from ._enums import DomainNameLabelScopeTypes
from ._enums import EvictionPolicy
from ._enums import IPVersion
from ._enums import LinuxPatchAssessmentMode
from ._enums import LinuxVMGuestPatchAutomaticByPlatformRebootSetting
from ._enums import LinuxVMGuestPatchMode
from ._enums import LocalStorageDiskType
from ._enums import ManagedServiceIdentityType
from ._enums import Mode
from ._enums import NetworkApiVersion
from ._enums import NetworkInterfaceAuxiliaryMode
from ._enums import NetworkInterfaceAuxiliarySku
from ._enums import OperatingSystemTypes
from ._enums import Origin
from ._enums import ProtocolTypes
from ._enums import ProvisioningState
from ._enums import PublicIPAddressSkuName
from ._enums import PublicIPAddressSkuTier
from ._enums import RegularPriorityAllocationStrategy
from ._enums import SecurityEncryptionTypes
from ._enums import SecurityTypes
from ._enums import SettingNames
from ._enums import SpotAllocationStrategy
from ._enums import StorageAccountTypes
from ._enums import VMAttributeSupport
from ._enums import VMCategory
from ._enums import WindowsPatchAssessmentMode
from ._enums import WindowsVMGuestPatchAutomaticByPlatformRebootSetting
from ._enums import WindowsVMGuestPatchMode
from ._patch import __all__ as _patch_all
from ._patch import *  # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AdditionalCapabilities",
    "AdditionalLocationsProfile",
    "AdditionalUnattendContent",
    "ApiEntityReference",
    "ApiError",
    "ApiErrorBase",
    "ApplicationProfile",
    "BaseVirtualMachineProfile",
    "BootDiagnostics",
    "CapacityReservationProfile",
    "ComputeProfile",
    "DiagnosticsProfile",
    "DiffDiskSettings",
    "DiskEncryptionSetParameters",
    "EncryptionIdentity",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "Fleet",
    "FleetProperties",
    "FleetUpdate",
    "ImageReference",
    "InnerError",
    "KeyVaultSecretReference",
    "LinuxConfiguration",
    "LinuxPatchSettings",
    "LinuxVMGuestPatchAutomaticByPlatformSettings",
    "LocationProfile",
    "ManagedServiceIdentity",
    "ManagedServiceIdentityUpdate",
    "OSImageNotificationProfile",
    "Operation",
    "OperationDisplay",
    "PatchSettings",
    "Plan",
    "ProxyAgentSettings",
    "PublicIPAddressSku",
    "RegularPriorityProfile",
    "Resource",
    "ResourcePlanUpdate",
    "ScheduledEventsProfile",
    "SecurityPostureReference",
    "SecurityProfile",
    "ServiceArtifactReference",
    "SpotPriorityProfile",
    "SshConfiguration",
    "SshPublicKey",
    "SubResource",
    "SystemData",
    "TerminateNotificationProfile",
    "TrackedResource",
    "UefiSettings",
    "UserAssignedIdentity",
    "VMAttributeMinMaxDouble",
    "VMAttributeMinMaxInteger",
    "VMAttributes",
    "VMDiskSecurityProfile",
    "VMGalleryApplication",
    "VMSizeProperties",
    "VaultCertificate",
    "VaultSecretGroup",
    "VirtualHardDisk",
    "VirtualMachineScaleSet",
    "VirtualMachineScaleSetDataDisk",
    "VirtualMachineScaleSetExtension",
    "VirtualMachineScaleSetExtensionProfile",
    "VirtualMachineScaleSetExtensionProperties",
    "VirtualMachineScaleSetHardwareProfile",
    "VirtualMachineScaleSetIPConfiguration",
    "VirtualMachineScaleSetIPConfigurationProperties",
    "VirtualMachineScaleSetIpTag",
    "VirtualMachineScaleSetManagedDiskParameters",
    "VirtualMachineScaleSetNetworkConfiguration",
    "VirtualMachineScaleSetNetworkConfigurationDnsSettings",
    "VirtualMachineScaleSetNetworkConfigurationProperties",
    "VirtualMachineScaleSetNetworkProfile",
    "VirtualMachineScaleSetOSDisk",
    "VirtualMachineScaleSetOSProfile",
    "VirtualMachineScaleSetPublicIPAddressConfiguration",
    "VirtualMachineScaleSetPublicIPAddressConfigurationDnsSettings",
    "VirtualMachineScaleSetPublicIPAddressConfigurationProperties",
    "VirtualMachineScaleSetStorageProfile",
    "VmSizeProfile",
    "WinRMConfiguration",
    "WinRMListener",
    "WindowsConfiguration",
    "WindowsVMGuestPatchAutomaticByPlatformSettings",
    "AcceleratorManufacturer",
    "AcceleratorType",
    "ActionType",
    "ArchitectureType",
    "CachingTypes",
    "CpuManufacturer",
    "CreatedByType",
    "DeleteOptions",
    "DiffDiskOptions",
    "DiffDiskPlacement",
    "DiskControllerTypes",
    "DiskCreateOptionTypes",
    "DiskDeleteOptionTypes",
    "DomainNameLabelScopeTypes",
    "EvictionPolicy",
    "IPVersion",
    "LinuxPatchAssessmentMode",
    "LinuxVMGuestPatchAutomaticByPlatformRebootSetting",
    "LinuxVMGuestPatchMode",
    "LocalStorageDiskType",
    "ManagedServiceIdentityType",
    "Mode",
    "NetworkApiVersion",
    "NetworkInterfaceAuxiliaryMode",
    "NetworkInterfaceAuxiliarySku",
    "OperatingSystemTypes",
    "Origin",
    "ProtocolTypes",
    "ProvisioningState",
    "PublicIPAddressSkuName",
    "PublicIPAddressSkuTier",
    "RegularPriorityAllocationStrategy",
    "SecurityEncryptionTypes",
    "SecurityTypes",
    "SettingNames",
    "SpotAllocationStrategy",
    "StorageAccountTypes",
    "VMAttributeSupport",
    "VMCategory",
    "WindowsPatchAssessmentMode",
    "WindowsVMGuestPatchAutomaticByPlatformRebootSetting",
    "WindowsVMGuestPatchMode",
]
__all__.extend([p for p in _patch_all if p not in __all__])
_patch_sdk()
